package cz.cvut.felk.atg.azui;

public class Edge {
	private int id;
	
	private Node fromNode;
	private Node toNode;
	
	public Node getFromNode() {
		return fromNode;
	}

	public int getId() {
		return id;
	}

	public Node getToNode() {
		return toNode;
	}
	
	public Edge(int id, Node fromNode, Node toNode) {
		this.id = id;
		this.fromNode = fromNode;
		this.toNode = toNode;
		
		fromNode.addOutgoingEdge(this);
		toNode.addIncomingEdge(this);
	}
	
	public String toString() {
		StringBuffer result = new StringBuffer();
		result.append("e(#");
		result.append(id);
		result.append("):");
		result.append(fromNode.id);
		result.append("->");
		result.append(toNode.id);
		result.append(")");
		return result.toString();
	}
}
