package cz.cvut.felk.atg.azui;

import java.util.ArrayList;

public class Node {
	int id;
	private ArrayList<Edge> outgoingEdges = new ArrayList<Edge>();
	private ArrayList<Edge> incomingEdges = new ArrayList<Edge>();
	
	public void addIncomingEdge(Edge e) {
		incomingEdges.add(e);
	}
	
	public void addOutgoingEdge(Edge e) {
		outgoingEdges.add(e);
	}

	public ArrayList<Edge> getIncomingEdges() {
		return incomingEdges;
	}

	public ArrayList<Edge> getOutgoingEdges() {
		return outgoingEdges;
	}

	public int getId() {
		return id;
	}

	public Node(int id) {
		this.id = id;
	}
	
	public Node(int id, ArrayList<Edge> inc, ArrayList<Edge> out) {
		this.id = id;
		this.incomingEdges = inc;
		this.outgoingEdges = out;
	}

	public String toString() {
		StringBuffer result = new StringBuffer();
		result.append("Node: ");
		result.append(id);
//		result.append("\nIncoming Edges:");
//		result.append(incomingEdges.toString());
//		result.append("\nOutgoing Edges:");
//		result.append(outgoingEdges.toString());
//		result.append("\n");
		return result.toString();
	}
}
